LinkableTransform (Grails 5.2.5)

Package: org.grails.plugins.web.rest.transform

## [Groovy] Class LinkableTransform

- org.grails.plugins.web.rest.transform.LinkableTransform

- All Implemented Interfaces and Traits:
    org.codehaus.groovy.transform.ASTTransformation

      @groovy.transform.CompileStatic
      @org.codehaus.groovy.transform.GroovyASTTransformation(phase: CompilePhase.CANONICALIZATION)
      class LinkableTransform
      extends java.lang.Object
      implements org.codehaus.groovy.transform.ASTTransformation

  Implementation of the Linkable transform

  Authors:
    Graeme Rocher
  Since:
    2.3

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `static java.lang.String` | `LINKS_METHOD` |
    `static java.lang.String` | `LINK_METHOD` |
    `static java.lang.String` | `RESOURCE_LINKS_FIELD` |

  - ### Constructor Summary

    Constructors
    Constructor and description
    `LinkableTransform ()`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `static void` | `addLinkingMethods(org.codehaus.groovy.ast.ClassNode classNode)`
    `` | `void` | `visit(org.codehaus.groovy.ast.ASTNode[] astNodes, org.codehaus.groovy.control.SourceUnit source)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Field Detail

    - #### public static final java.lang.String LINKS_METHOD

    - #### public static final java.lang.String LINK_METHOD

    - #### public static final java.lang.String RESOURCE_LINKS_FIELD

  - ### Constructor Detail

    - #### LinkableTransform()

  - ### Method Detail

    - #### static void addLinkingMethods(org.codehaus.groovy.ast.ClassNode classNode)

    - #### @java.lang.Override void visit(org.codehaus.groovy.ast.ASTNode[] astNodes, org.codehaus.groovy.control.SourceUnit source)